Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# log4cplus::spi::LogLevelRangeFilter Class Reference

This is a very simple filter based on LogLevel matching, which can be used to reject messages with LogLevels outside a certain range. More...

`#include <filter.h>`

Inheritance diagram for log4cplus::spi::LogLevelRangeFilter:

[legend]
Collaboration diagram for log4cplus::spi::LogLevelRangeFilter:

[legend]
List of all members.

## Public Member Functions
| LogLevelRangeFilter ()
| LogLevelRangeFilter (const log4cplus::helpers::Properties &p)
virtual FilterResult | decide (const InternalLoggingEvent &event) const
| Return the decision of this filter.

## Detailed Description

This is a very simple filter based on LogLevel matching, which can be used to reject messages with LogLevels outside a certain range.

The filter admits three options LogLevelMin, LogLevelMax and AcceptOnMatch.

If the LogLevel of the Logging event is not between Min and Max (inclusive), then DENY is returned.

If the Logging event LogLevel is within the specified range, then if AcceptOnMatch is true, ACCEPT is returned, and if AcceptOnMatch is false, NEUTRAL is returned.

If `LogLevelMin` is not defined, then there is no minimum acceptable LogLevel (ie a LogLevel is never rejected for being too "low"/unimportant). If `LogLevelMax` is not defined, then there is no maximum acceptable LogLevel (ie a LogLevel is never rejected for beeing too "high"/important).

Refer to the setThreshold method available to `all` appenders for a more convenient way to filter out events by LogLevel.

Definition at line 200 of file filter.h.

## Constructor & Destructor Documentation

log4cplus::spi::LogLevelRangeFilter::LogLevelRangeFilter | ( |  | ) |

log4cplus::spi::LogLevelRangeFilter::LogLevelRangeFilter | ( | const log4cplus::helpers::Properties & | p | ) |

## Member Function Documentation

virtual FilterResult log4cplus::spi::LogLevelRangeFilter::decide | ( | const InternalLoggingEvent & | event | ) | const`[virtual]`

| Return the decision of this filter. Implements log4cplus::spi::Filter.

The documentation for this class was generated from the following file:

- filter.h